Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::PK_Ops::Decryption Class Referenceabstract

`#include <pk_ops.h>`

Inheritance diagram for Botan::PK_Ops::Decryption:

## Public Member Functions
virtual secure_vector< uint8_t > | decrypt (uint8_t &valid_mask, const uint8_t ciphertext[], size_t ciphertext_len)=0
virtual | ~Decryption ()=default

## Detailed Description

Public key decryption interface

Definition at line 51 of file pk_ops.h.

## Constructor & Destructor Documentation

virtual Botan::PK_Ops::Decryption::~Decryption | ( |  | ) |
| virtual default

## Member Function Documentation

virtual secure_vector<uint8_t> Botan::PK_Ops::Decryption::decrypt | ( | uint8_t & | valid_mask,
|  | const uint8_t | ciphertext[],
|  | size_t | ciphertext_len
| ) |  |
| pure virtual

Implemented in Botan::PK_Ops::Decryption_with_EME.

The documentation for this class was generated from the following file:

- src/lib/pubkey/pk_ops.h